Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owlx.examples.javaDemo.model
Class MyFactory

    java.lang.Object
      edu.stanford.smi.protegex.owlx.examples.javaDemo.model.MyFactory

    public class MyFactory

extends Object

Generated by Protege-OWL (http://protege.stanford.edu/plugins/owl).

Version:
  generated on Mon Feb 21 10:53:08 EST 2005

Constructor Summary
`MyFactory(OWLModel owlModel)`

Method Summary
`Customer` | `createCustomer(String name)`
`GoodCustomer` | `createGoodCustomer(String name)`
`Product` | `createProduct(String name)`
`Purchase` | `createPurchase(String name)`
`VeryGoodCustomer` | `createVeryGoodCustomer(String name)`
`RDFSNamedClass` | `getCustomerClass()`
`RDFSNamedClass` | `getGoodCustomerClass()`
`RDFSNamedClass` | `getProductClass()`
`RDFSNamedClass` | `getPurchaseClass()`
`RDFSNamedClass` | `getVeryGoodCustomerClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MyFactory

    public MyFactory(OWLModel owlModel)

Method Detail

### getVeryGoodCustomerClass

    public RDFSNamedClass getVeryGoodCustomerClass()

### createVeryGoodCustomer

    public VeryGoodCustomer createVeryGoodCustomer(String name)

### getCustomerClass

    public RDFSNamedClass getCustomerClass()

### createCustomer

    public Customer createCustomer(String name)

### getPurchaseClass

    public RDFSNamedClass getPurchaseClass()

### createPurchase

    public Purchase createPurchase(String name)

### getProductClass

    public RDFSNamedClass getProductClass()

### createProduct

    public Product createProduct(String name)

### getGoodCustomerClass

    public RDFSNamedClass getGoodCustomerClass()

### createGoodCustomer

    public GoodCustomer createGoodCustomer(String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.